#ifndef DIALOGCHECKTASK_H
#define DIALOGCHECKTASK_H

#include <QWidget>
#include "tasksAmmFim.h"
#include "fimtaskswidget.h"

namespace Ui {
class DialogCheckTask;
}

class DialogCheckTask : public QWidget
{
    Q_OBJECT

public:
    explicit DialogCheckTask(ConnectorToServer* connectorToServer, QString type, QWidget *parent = nullptr);
    ~DialogCheckTask();

public:
    void setTask(TaskAmmFim* task);
    TaskAmmFim getTask();
    bool getFlChanged(){return flChanged;}
    void setIDTask(int id){id_task = id;}
    void setModule(Module* module);

private slots:
    void on_btnWrong_clicked();
    void on_btnRight_clicked();

private:
    void outReport(FIMReport report);

private:
    TaskAmmFim task;
    Module module;

private:
    Ui::DialogCheckTask *ui;
private:
    ConnectorToServer* connectorToServer;
    FIMtasksWidget* fimTasksWidget;

    bool flChanged;
    int id_task;
    QString type;
};

#endif // DIALOGCHECKTASK_H
